function Get-BigGitConfig($key) {
    $current = Resolve-Path .
    do {
            if(Test-Path (join-path $current "BigGitConfig.xml"))
            {
                $BigGitConfig = join-path $current "BigGitConfig.xml"
                break
            }
            $current = Split-Path $current -parent
        } while ($current.Length -gt 0)
    if($BigGitConfig) {
        [xml]$config = Get-Content $BigGitConfig
    }
    elseif(Test-Path $env:appdata\BigGit) {
        [xml]$config = Get-Content (Join-Path $env:appdata\BigGit config.xml)
    }
    else {
        throw "Cannot find BigGitConfig.xml"
    }

    $config.config.$key
}