function Get-WorkspaceName {
<#
.SYNOPSIS
Returns the name of the BigGit assigned workspace name associated with the provided path

.PARAMETER WorkspacePath
The path representing the root of the workspace

.LINK
https://BigGit.Codeplex.com
#>   
    param(
        [Parameter(Mandatory=$true)]
        [string] $workspacePath
    )
    $src = $ExecutionContext.SessionState.Path.GetUnresolvedProviderPathFromPSPath($workspacePath)
    $escSourcePath = $src.Replace(":","_").Replace("/","_").Replace("\","_")
    return "${env:ComputerName}_$escSourcePath"
}